/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * HarvestFeature
 */

public class HarvestFeature {
  @JsonProperty("default")
  private String _default = null;

  @JsonProperty("description")
  private String description = null;

  @JsonProperty("key")
  private String key = null;

  @JsonProperty("label")
  private String label = null;

  public HarvestFeature _default(String _default) {
    this._default = _default;
    return this;
  }

   /**
   * The feature default state (true is enabled)
   * @return _default
  **/
  @ApiModelProperty(value = "The feature default state (true is enabled)")
  public String getDefault() {
    return _default;
  }

  public void setDefault(String _default) {
    this._default = _default;
  }

  public HarvestFeature description(String description) {
    this.description = description;
    return this;
  }

   /**
   * Some details about the behavior
   * @return description
  **/
  @ApiModelProperty(value = "Some details about the behavior")
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public HarvestFeature key(String key) {
    this.key = key;
    return this;
  }

   /**
   * The feature key
   * @return key
  **/
  @ApiModelProperty(value = "The feature key")
  public String getKey() {
    return key;
  }

  public void setKey(String key) {
    this.key = key;
  }

  public HarvestFeature label(String label) {
    this.label = label;
    return this;
  }

   /**
   * A localized human-readable and descriptive label
   * @return label
  **/
  @ApiModelProperty(value = "A localized human-readable and descriptive label")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    HarvestFeature harvestFeature = (HarvestFeature) o;
    return Objects.equals(this._default, harvestFeature._default) &&
        Objects.equals(this.description, harvestFeature.description) &&
        Objects.equals(this.key, harvestFeature.key) &&
        Objects.equals(this.label, harvestFeature.label);
  }

  @Override
  public int hashCode() {
    return Objects.hash(_default, description, key, label);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class HarvestFeature {\n");

    sb.append("    _default: ").append(toIndentedString(_default)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    key: ").append(toIndentedString(key)).append("\n");
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

